/// <reference types="@tarojs/taro" />

declare module '*.png';
declare module '*.gif';
declare module '*.jpg';
declare module '*.jpeg';
declare module '*.svg';
declare module '*.css';
declare module '*.less';
declare module '*.scss';
// declare module '*.sass';
declare module '*.styl';

declare namespace NodeJS {
  interface ProcessEnv {
    TARO_ENV: 'weapp' | 'swan' | 'alipay' | 'h5' | 'rn' | 'tt' | 'quickapp' | 'qq' | 'jd'
  }
}

declare namespace JSX {
  interface IntrinsicElements {
    custom: React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement> & { width?: string, props: any }

    calendar: React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>
  }
}

declare const wx

type CustomPropsType = {
  adpId: number
  autoplay?: boolean
  loop?: boolean
  muted?: boolean
  showMusk?: boolean
  zIndex?: number
  openEmbeddedMiniProgram(): void

  onPlay?():void
  onPause?():void
  onEnded?():void
  onTimeUpdate?():void
  onStop?():void
  onError?(): void

  onLoad?(): void
  onView?(): void
  onClick?(): void
  onClose?(): void
}
